Ошибка при установке NextGisWeb!

Вопросы по программному обеспечению NextGIS: Web, Mobile, QGIS, Manager и многочисленным модулям
Ответить
Аватара пользователя
Максим Дубинин
MindingMyOwnBusiness
Сообщения: 9052
Зарегистрирован: 06 окт 2003, 20:20
Статьи: 231
Проекты: 12/6
Репутация: 721
Ваше звание: NextGIS
Откуда: Москва
Контактная информация:

Re: Ошибка при установке NextGisWeb!

Сообщение Максим Дубинин » 26 июл 2016, 00:42

извините, но есть ощущение, что примерно всё.
пристегивайтесь, турбулентность прямо по курсу

Taber
Интересующийся
Сообщения: 35
Зарегистрирован: 17 фев 2016, 21:54
Репутация: 0

Re: Ошибка при установке NextGisWeb!

Сообщение Taber » 26 июл 2016, 02:51

Всё делаю строго по инструкции! Есть подозрения что я не правильно прописываю версию mapscript, так как не знаю в каком виде это необходимо сделать, в остальном-то установка проходит успешно!

madw0lf
Активный участник
Сообщения: 103
Зарегистрирован: 24 мар 2016, 23:27
Репутация: 25
Откуда: Ростов-на-Дону

Re: Ошибка при установке NextGisWeb!

Сообщение madw0lf » 26 июл 2016, 15:19

крайний раз, устанавливая NextGIS Web, тупо копипастил из документации в консоль

Код: Выделить всё

Платформа

Python 2.7.10 (default, Oct 14 2015, 16:09:02) [GCC 5.2.1 20151010] on Linux-4.4.0-32-generic-x86_64-with-Ubuntu-16.04-xenial
всё работает. с мапскриптом последовательность действий

Код: Выделить всё

mkdir env/lib/python2.7/site-packages/mapscript.egg

cp /usr/lib/python2.7/dist-packages/*mapscript* \
env/lib/python2.7/site-packages/mapscript.egg

echo "./mapscript.egg" > env/lib/python2.7/site-packages/mapscript.pth

mkdir env/lib/python2.7/site-packages/mapscript.egg/EGG-INFO

touch env/lib/python2.7/site-packages/mapscript.egg/EGG-INFO/PKG-INFO

echo `python -c "import mapscript; print 'Version: %s' % mapscript.MS_VERSION"` \
> env/lib/python2.7/site-packages/mapscript.egg/EGG-INFO/PKG-INFO
через абзац разделил то что копировал и вставлял. вот прям именно так, не дописывая ничего. ВСЁ копируется под пользователем, не через sudo. если не хочет - через sudo, а потом chmod тебе в помощь.
если и после этого не заработает - начни с изучения линукса =)
Без внятного ТЗ - результат ХЗ

Аватара пользователя
Максим Дубинин
MindingMyOwnBusiness
Сообщения: 9052
Зарегистрирован: 06 окт 2003, 20:20
Статьи: 231
Проекты: 12/6
Репутация: 721
Ваше звание: NextGIS
Откуда: Москва
Контактная информация:

Re: Ошибка при установке NextGisWeb!

Сообщение Максим Дубинин » 26 июл 2016, 17:40

понимаете, делать строго по инструкции и менять O на 0 это как-то не вяжется

но глядя на ваши мучения возникает более сложный вопрос, вот вы установите всё допустим и даже запустите, но что дальше то будете делать? Это же все нужно поддерживать, обновлять, всякие проблемы возникающие решать, даже не связанные с NGW, логи изучать и т.д.

ну удачи в любом случае)
пристегивайтесь, турбулентность прямо по курсу

Taber
Интересующийся
Сообщения: 35
Зарегистрирован: 17 фев 2016, 21:54
Репутация: 0

Re: Ошибка при установке NextGisWeb!

Сообщение Taber » 28 июл 2016, 15:12

Максим, буду и дальше искать пути рения поставленных задач!
Да и знал бы я всё, вряд ли я попал бы на форум и задавал вопросы!
В любом случае благодарю за напутствие!
_________________________________________________
Пробовал ставить на двух машинах и просил коллегу установить на домашнем ПК!
Установка проходит успешно, без ошибок и нареканий, делаю строго по инструкции, пробовал и копировать на прямую с .pdf (опечатки типа -0 -O исключил!!!)
После запуске команды env/bin/pip freeze выходит следующее:
Безымянный.png
Безымянный.png (38.31 КБ) 4348 просмотров
Насколько я понял система ругается на ключ и файлы Python, возможно ошибаюсь!!!
Влияет ли на последовательность версия Ubuntu?
Мог бы кто помочь конкретным примером или пояснением в чём может быть ошибка???!

madw0lf
Активный участник
Сообщения: 103
Зарегистрирован: 24 мар 2016, 23:27
Репутация: 25
Откуда: Ростов-на-Дону

Re: Ошибка при установке NextGisWeb!

Сообщение madw0lf » 28 июл 2016, 16:35

таки да, система матерится на питон.
вообще, неплохо было бы написать какая система, а также чистая это убунта или сборка какая-то.
Без внятного ТЗ - результат ХЗ

Аватара пользователя
Denis Rykov
Гуру
Сообщения: 3376
Зарегистрирован: 11 апр 2008, 21:09
Статьи: 33
Проекты: 9
Репутация: 526
Ваше звание: Author
Контактная информация:

Re: Ошибка при установке NextGisWeb!

Сообщение Denis Rykov » 28 июл 2016, 18:56

В документации же явно написано, что делать с этой ошибкой, вы всё сделали как написано и всё равно получаете это сообщение?
Spatial is now, more than ever, just another column- The Geometry Column.

Taber
Интересующийся
Сообщения: 35
Зарегистрирован: 17 фев 2016, 21:54
Репутация: 0

Re: Ошибка при установке NextGisWeb!

Сообщение Taber » 29 июл 2016, 09:06

madw0lf Система Ubuntu Server 16.04!
Denis Rykov Да действительно, манипуляции с прописыванием версии MapScript и созданием PKG-INFO не помогают!

madw0lf
Активный участник
Сообщения: 103
Зарегистрирован: 24 мар 2016, 23:27
Репутация: 25
Откуда: Ростов-на-Дону

Re: Ошибка при установке NextGisWeb!

Сообщение madw0lf » 29 июл 2016, 10:10

как вариант, снеси папку с NGW и начни заново. база у тебя уже есть, я так понимаю. открой терминал, открой документацию, открой браузер с этой страницей и пошагово воспроизведи все действия из документации. как только возникнет ошибка, останавливаешься и пишешь сюда на каком шаге возникла ошибка, копируешь из терминала как именно ты ввел команду ( именно копируешь из терминала), копируешь вывод команды с ошибкой и смотрим что за фигня. а так можно эту тему обжевывать еще неделю, две, месяц, год...
P.S. это форум, тут никто никому ничего не должен. если хочешь получить решение своей проблемы, внятно ее опиши и без лишних эмоций.
Без внятного ТЗ - результат ХЗ

Taber
Интересующийся
Сообщения: 35
Зарегистрирован: 17 фев 2016, 21:54
Репутация: 0

Re: Ошибка при установке NextGisWeb!

Сообщение Taber » 29 июл 2016, 13:31

Я новичок в Linux, работаю преимущественно в окнах и ничего не требую, лишь прошу помощи в понимании того, как это всё работает. Работаю на виртуалке с серверной ubuntu, через терминал. Могу либо поставить графическую оболочку, для выполнения Ваших рекомендаций, либо записать видео с экрана и предоставить ссылку на форуме, как Вам будет удобнее!?

LiStopaD
Интересующийся
Сообщения: 17
Зарегистрирован: 07 июл 2016, 08:45
Репутация: 0

Re: Ошибка при установке NextGisWeb!

Сообщение LiStopaD » 29 июл 2016, 14:36

Taber писал(а):Я новичок в Linux, работаю преимущественно в окнах и ничего не требую, лишь прошу помощи в понимании того, как это всё работает. Работаю на виртуалке с серверной ubuntu, через терминал. Могу либо поставить графическую оболочку, для выполнения Ваших рекомендаций, либо записать видео с экрана и предоставить ссылку на форуме, как Вам будет удобнее!?
Почитай всю ветку, а именно 3-ю страницу)))) Установи себе SSH в Linux и в windows установи Putty. И будет тебе очень удобно работать и копировать код))) Удачи!!!!!

Аватара пользователя
jerry-maori
Гуру
Сообщения: 585
Зарегистрирован: 22 авг 2012, 17:02
Репутация: 142
Откуда: Нижний Новгород

Re: Ошибка при установке NextGisWeb!

Сообщение jerry-maori » 26 авг 2016, 07:20

Вести с полей -- развернул сегодня на 16.04.1
Может пора обновить мануал? Вроде как 16.04.1 имеет статус LTS
PostGre уже версии 9.5 и PostGIS 2.2
Ну и перезапуск идёт не через service.

Аватара пользователя
Denis Rykov
Гуру
Сообщения: 3376
Зарегистрирован: 11 апр 2008, 21:09
Статьи: 33
Проекты: 9
Репутация: 526
Ваше звание: Author
Контактная информация:

Re: Ошибка при установке NextGisWeb!

Сообщение Denis Rykov » 26 авг 2016, 20:49

Может и стоит добавить какие-то комментарии, но принципиально ничего не поменялось.
Spatial is now, more than ever, just another column- The Geometry Column.

Аватара пользователя
Максим Дубинин
MindingMyOwnBusiness
Сообщения: 9052
Зарегистрирован: 06 окт 2003, 20:20
Статьи: 231
Проекты: 12/6
Репутация: 721
Ваше звание: NextGIS
Откуда: Москва
Контактная информация:

Re: Ошибка при установке NextGisWeb!

Сообщение Максим Дубинин » 26 авг 2016, 22:47

у нас нет задачи поддерживать все самое новое и бесконечно обновлять все пакеты

запустились с супер свежими версиями чего-то? прекрасно, напишите об этом блогпост, мы по-рекламируем
пристегивайтесь, турбулентность прямо по курсу

madw0lf
Активный участник
Сообщения: 103
Зарегистрирован: 24 мар 2016, 23:27
Репутация: 25
Откуда: Ростов-на-Дону

Re: Ошибка при установке NextGisWeb!

Сообщение madw0lf » 29 авг 2016, 11:02

jerry-maori писал(а):Вести с полей -- развернул сегодня на 16.04.1
Может пора обновить мануал? Вроде как 16.04.1 имеет статус LTS
PostGre уже версии 9.5 и PostGIS 2.2
Ну и перезапуск идёт не через service.
а смысл? кроме циферок типа 14.04, 16.04, 9.3, 9.5 разницы нет. репозитории те же, консольные команды и параметры по дефолту тоже. а любители в тупую копипастить из мануалов хоть немного подумают над своими действиями.
а то будет как со сборками zver dvd в свое время - купил диск со всем готовым и уже сисадмин, а на матчасть можно и наплевать раз всё и так работает.
Без внятного ТЗ - результат ХЗ

Ответить

Вернуться в «NextGIS»

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 3 гостя